## ros-indigo-naoqi-driver 0.5.10

=== debian/changelog ===
ros-indigo-naoqi-driver (0.5.10-0trusty) trusty; urgency=high

  * disable logs as default (reference #68 <https://github.com/ros-naoqi/naoqi_driver/issues/68>) (#88 <https://github.com/ros-naoqi/naoqi_driver/issues/88>)
  * Missing tf2 include and tf2 exception type (#103 <https://github.com/ros-naoqi/naoqi_driver/issues/103>)
    * Add missing include tf2_ros/buffer.h
    * Catch tf2::TransformException
  * add services for get and set language (#87 <https://github.com/ros-naoqi/naoqi_driver/issues/87>)
  * C-style comments are not syntactically correct in JSON (#98 <https://github.com/ros-naoqi/naoqi_driver/issues/98>)
    * C-style comments are not syntactically correct in JSON
  * Remove Jade from Travis description (#95 <https://github.com/ros-naoqi/naoqi_driver/issues/95>)
    * Remove Jade from Travis description and CI matrix
    * Correct badges according to the Travis matrix modification, and add Debian stretch badge
  * Adding a maintainer
  * Ci (#94 <https://github.com/ros-naoqi/naoqi_driver/issues/94>)
    * Add .travis.yml
  * Adding a warning for VGA resolution for depth camera (#93 <https://github.com/ros-naoqi/naoqi_driver/issues/93>)
    Adding a warning for VGA resolution for depth camera
  * Merge pull request #92 <https://github.com/ros-naoqi/naoqi_driver/issues/92> from Pandhariix/add_joint_limits
    Add joint limits to the diagnostics
  * Start adding joints limits to the diagnostic
    Add double layered float vector converter method
    Add the joints limit map, and add the joints limits to the diagnostic message
  * Update gitignore
  * Fix typo in naoqi_driver.hpp
  * Merge pull request #85 <https://github.com/ros-naoqi/naoqi_driver/issues/85> from PacoDu/fix_node_name_empty
    Fix node name empty related to pepper_robot issue #35 <https://github.com/ros-naoqi/naoqi_driver/issues/35>
  * Update naoqi_driver.cpp
    Error while merging, setPrefix removed.
  * Fix node name issue #35 <https://github.com/ros-naoqi/naoqi_driver/issues/35>
  * Contributors: Dupont Paco, Esteve Fernandez, Kanae Kochigami, Maxime Busy, Natalia Lyubova, Paco Dupont, Shane Loretz, Surya Ambrose

 -- Marine Chamoux <mchamoux@softbankrobotics.com>  Thu, 15 Feb 2018 23:00:00 -0000

ros-indigo-naoqi-driver (0.5.9-0trusty) trusty; urgency=high

  * -Vincent Rabaud as a maintainer, +Natalia Lyubova
  * Merge pull request #75 <https://github.com/ros-naoqi/naoqi_driver/issues/75> from kochigami/rename-tactile-touch-to-head-touch
    rename tactile touch to head touch
  * rename boot_config name of hand & head
  * rename tactile touch to head touch
  * Merge pull request #63 <https://github.com/ros-naoqi/naoqi_driver/issues/63> from kochigami/add-hand-touch-sensor-input-to-touch-programs
    Add hand touch sensor input to touch event and converters
  * add hand touch sensor input to touch programs
  * Merge pull request #74 <https://github.com/ros-naoqi/naoqi_driver/issues/74> from kochigami/try-depth-raw
    kRawDepthColorSpace for depth image
  * Merge pull request #36 <https://github.com/ros-naoqi/naoqi_driver/issues/36> from laurent-george/adding_odom_frame
    Adding odom topic to the bridge
  * fix(odom): update code based on comment in pull request
  * Adding odom topic to the bridge
  * Merge pull request #72 <https://github.com/ros-naoqi/naoqi_driver/issues/72> from furushchev/increase-joint-state-freq
    [share/boot_config.json] increase frequency for publishing joint_states
  * [share/boot_config.json] increase frequency for publishing joint_states
  * Update package.xml
  * kRawDepthColorSpace for depth image
  * Contributors: Kanae Kochigami, Karsten Knese, Laurent GEORGE, Mikael Arguedas, Natalia Lyubova, Vincent Rabaud, Yuki Furuta, lgeorge

 -- Surya Ambrose <surya.ambrose@gmail.com>  Mon, 07 Nov 2016 23:00:00 -0000

ros-indigo-naoqi-driver (0.5.8-0trusty) trusty; urgency=high

  * Update maintainership
  * Fix broken compilation with libqi-2.5 (#67 <https://github.com/ros-naoqi/naoqi_driver/issues/67>)
    -std=gnu++11 is not mandatory as this flag will be added when importing libqi
    (https://github.com/ros-naoqi/libqi-release/commit/c26f57e25326c9d3447ae7113818a474994e5544).
    naoqi_driver should now work with libqi2.3 and 2.5
  * Contributors: Surya Ambrose

 -- Surya Ambrose <surya.ambrose@gmail.com>  Wed, 18 May 2016 22:00:00 -0000

ros-indigo-naoqi-driver (0.5.7-0trusty) trusty; urgency=high

  * Fix termination issues (#62 <https://github.com/ros-naoqi/naoqi_driver/pull/62>)
    
      * Fix deadlock in audio termination
        Calling subscribe or unsubscribe while the callback is being called
        is already protected on naoqi side. So no need to protect it on the bridge
        side, this is what previously led to a deadlock.
        We only need mutex protection on configuration variable (publishing,
        recording, logging) and also make sure calling subscribe and unsubscribe
        at the same time is not possible (even though this is also protected in
        naoqi).
        Change-Id: Iae604c047046fec9e24832dd4df5017ff4ae724f
      * Do not use qi::import for retrieving naoqi_driver
        Change-Id: I1443ce10576f10ceda5041139c90a3df2e65f043
      * unsubscribe each events
      * Fix stopService being called twice
      * Do not create info converter if not necessary
      * Fix segfault on termination
    
  * #58 <https://github.com/ros-naoqi/naoqi_driver/pull/58> is not compatible with previous version... (#60 <https://github.com/ros-naoqi/naoqi_driver/pull/60>)
  * Add tactile and bumper in boot_config.json  (#59 <https://github.com/ros-naoqi/naoqi_driver/pull/59>)
  * fix when no name space is found (#58 <https://github.com/ros-naoqi/naoqi_driver/pull/58>)
  * use template for TouchEventRegister
  * use template class(TouchEventConverter) in conveerters/touch.{cpp,hpp}
  * add touch event and converters
  * Contributors: Kei Okada, Surya Ambrose, Vincent Rabaud

 -- Karsten Knese <karsten.knese@gmail.com>  Wed, 03 Feb 2016 23:00:00 -0000


